#!/usr/bin/env python3
import argparse
# create parser
parser = argparse.ArgumentParser(
         description='A simple argument parsing demo',
         epilog = 'please report comments/bugs to arlotto@univ-tln.fr')

# add options (arguments)

#optional boolean argument
parser.add_argument('-v', action='store_true',help='verbose mode')

#optional integer argument 
parser.add_argument('-s','--speed',type=int,default=9600)

#optional string argument 
parser.add_argument('-o','--output', default='out.data')

#optional multiple choice
parser.add_argument('-p', '--parity', 
                    choices=['odd', 'even', 'none'], default='none')

#add positionnal arguments

#position 1
parser.add_argument('filename') # required (no default)

#position 2
parser.add_argument('configfile',  # not required 
                    nargs='?',default='conf.data')

# parse command line arguments
args = parser.parse_args()
#use in your program
print(args)
print('speed :',args.speed)
print('verbose :',args.v)
print('output :',args.output)
print('config :',args.configfile)
print('filenmane :',args.filename)
print('parity :',args.parity)
